Loading...
Searching...
No Matches
tensor.cc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation(T)

## Functions

template<class T >
point_basic< T > | operator* (const point_basic< T > &x, const tensor_basic< T > &a)
template<class T >
tensor_basic< T > | trans (const tensor_basic< T > &a, size_t d)
template<class T >
tensor_basic< T > | inv (const tensor_basic< T > &a, size_t d)
template<class T >
void | prod (const tensor_basic< T > &a, const tensor_basic< T > &b, tensor_basic< T > &result, size_t di, size_t dj, size_t dk)
template<class T >
T | ddot (const tensor_basic< T > &a, const tensor_basic< T > &b)
| ddot(x,y): see the `expression` page for the full documentation
template<class T >
void | cumul_otimes (tensor_basic< T > &t, const point_basic< T > &a, const point_basic< T > &b, size_t na, size_t nb)
template<class T >
bool | invert_3x3 (const tensor_basic< T > &A, tensor_basic< T > &result)

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T | ) |

Value:
template class tensor_basic<T>; \
template point_basic<T> operator* (const point_basic<T>& x, const tensor_basic<T>& a); \
template tensor_basic<T> trans (const tensor_basic<T>&, size_t); \
template tensor_basic<T> inv (const tensor_basic<T>&, size_t); \
template void prod (const tensor_basic<T>& a, const tensor_basic<T>& b, tensor_basic<T>& result, \
size_t di, size_t dj, size_t dk); \
template T ddot (const tensor_basic<T>& a, const tensor_basic<T> & b); \
template void cumul_otimes (tensor_basic<T>& t, const point_basic<T>& a, const point_basic<T>& b, size_t na, size_t nb); \
template bool invert_3x3 (const tensor_basic<T>& A, tensor_basic<T>& result); \
rheolef::point_basic
Definition point.h:86
rheolef::tensor_basic
Definition tensor.h:90
T
Expr1::float_type T
Definition field_expr.h:230
rheolef::inv
tensor_basic< T > inv(const tensor_basic< T > &a, size_t d)
Definition tensor.cc:219
rheolef::ddot
T ddot(const tensor_basic< T > &a, const tensor_basic< T > &b)
ddot(x,y): see the expression page for the full documentation
Definition tensor.cc:278
rheolef::prod
void prod(const tensor_basic< T > &a, const tensor_basic< T > &b, tensor_basic< T > &result, size_t di, size_t dj, size_t dk)
Definition tensor.cc:256
rheolef::cumul_otimes
void cumul_otimes(tensor_basic< T > &t, const point_basic< T > &a, const point_basic< T > &b, size_t na, size_t nb)
Definition tensor.cc:305
rheolef::trans
csr< T, sequential > trans(const csr< T, sequential > &a)
trans(a): see the form page for the full documentation
Definition csr.h:455
rheolef::operator*
csr< T, sequential > operator*(const T &lambda, const csr< T, sequential > &a)
Definition csr.h:437
rheolef::invert_3x3
bool invert_3x3(const tensor_basic< T > &A, tensor_basic< T > &result)
Definition tensor.cc:333
A
Definition diffusion_isotropic.h:25

Definition at line 482 of file tensor.cc.